org.apache.avro

## Class LogicalTypes.LocalTimestampMicros

- java.lang.Object
- - org.apache.avro.LogicalType
  - - org.apache.avro.LogicalTypes.LocalTimestampMicros

- Enclosing class:
    LogicalTypes

      public static class LogicalTypes.LocalTimestampMicros
      extends LogicalType

- - ### Field Summary

    - ### Fields inherited from class org.apache.avro.LogicalType

      `LOGICAL_TYPE_PROP`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `validate(Schema schema)` Validate this logical type for the given Schema.

    - ### Methods inherited from class org.apache.avro.LogicalType

      `addToSchema, getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### validate

          public void validate(Schema schema)

      Description copied from class: `LogicalType`
      Validate this logical type for the given Schema.

      This will throw an exception if the Schema is incompatible with this type. For example, a date is stored as an int and is incompatible with a fixed Schema.

      Overrides:
        `validate` in class `LogicalType`
      Parameters:
        `schema` - a Schema

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.